[PATCH 5/7] do-all, get-all: run with 'set -e'

[Date Prev] [Date Next] [Thread Prev] [Thread Next] [Date Index] [Thread Index]



From: Eric Biggers <ebiggers@xxxxxxxxxx>

If one of the steps fails, we should not continue on.

Signed-off-by: Eric Biggers <ebiggers@xxxxxxxxxx>
---
 do-all  | 2 ++
 get-all | 2 ++
 2 files changed, 4 insertions(+)

diff --git a/do-all b/do-all
index d4daad0..d6b8169 100755
--- a/do-all
+++ b/do-all
@@ -1,5 +1,7 @@
 #!/bin/bash
 
+set -e
+
 if test -f config.custom ; then
 	. config.custom
 else
diff --git a/get-all b/get-all
index fa27229..bb1cd4c 100755
--- a/get-all
+++ b/get-all
@@ -1,5 +1,7 @@
 #!/bin/bash
 
+set -e
+
 if test -f config.custom ; then
 	. config.custom
 else
-- 
2.13.0.219.gdb65acc882-goog

--
To unsubscribe from this list: send the line "unsubscribe fstests" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at  http://vger.kernel.org/majordomo-info.html



[Index of Archives]     [Linux Filesystems Development]     [Linux NFS]     [Linux NILFS]     [Linux USB Devel]     [Linux Audio Users]     [Yosemite News]     [Linux Kernel]     [Linux SCSI]

  Powered by Linux